package com.lanren.huhu.partner.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lanren.huhu.partner.dao.PartnerRewardMapper;
import com.lanren.huhu.partner.domain.PartnerReward;
import com.lanren.huhu.partner.service.PartnerRewardService;
import org.springframework.stereotype.Service;

import java.util.List;
/**  
    * @title: ${NAME}
    * @projectName partner
    * @description: 合伙人奖励明细
    * @author chen
    * @package ${PACKAGE_NAME}
    * @date 2019-07-02 14:54
    */
@Service
public class PartnerRewardServiceImpl extends ServiceImpl<PartnerRewardMapper, PartnerReward> implements PartnerRewardService{

    @Override
    public int updateBatch(List<PartnerReward> list) {
        return baseMapper.updateBatch(list);
    }
    @Override
    public int batchInsert(List<PartnerReward> list) {
        return baseMapper.batchInsert(list);
    }
    @Override
    public int insertOrUpdate(PartnerReward record) {
        return baseMapper.insertOrUpdate(record);
    }
    @Override
    public int insertOrUpdateSelective(PartnerReward record) {
        return baseMapper.insertOrUpdateSelective(record);
    }
}
